summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_html_dd_list.sh
diff options
context:
space:
mode:
authorMattia Rizzolo <mattia@mapreri.org>2015-03-01 17:16:06 +0100
committerHolger Levsen <holger@layer-acht.org>2015-03-01 17:20:46 +0100
commit4ab5370f569bf46269115bb51c3c7fc913d10523 (patch)
tree952af25587d898b3e7ade400f7364de795dcbd71 /bin/reproducible_html_dd_list.sh
parent3df224eb833a6ffae53e609b428316e304db25ab (diff)
downloadjenkins.debian.net-4ab5370f569bf46269115bb51c3c7fc913d10523.tar.xz
reproducible: html_dd-list: use either sources list from schroot, or download it from the net
Diffstat (limited to 'bin/reproducible_html_dd_list.sh')
-rwxr-xr-xbin/reproducible_html_dd_list.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/bin/reproducible_html_dd_list.sh b/bin/reproducible_html_dd_list.sh
index a5653635..7dd50c61 100755
--- a/bin/reproducible_html_dd_list.sh
+++ b/bin/reproducible_html_dd_list.sh
@@ -19,8 +19,11 @@ PAGE=index_${VIEW}.html
echo "$(date) - starting to write $PAGE page."
write_page_header $VIEW "Overview of ${SPOKENTARGET[$VIEW]}"
TMPFILE=$(mktemp)
+SOURCES=$(mktemp)
+schroot -c source:jenkins-reproducible-sid cat /var/lib/apt/lists/*_source_Sources > $SOURCES || \
+ wget ${MIRROR}/dists/sid/main/source/Sources.xz -O - | xzcat > $SOURCES
BAD=$(sqlite3 -init $INIT $PACKAGES_DB 'SELECT s.name FROM results AS r JOIN sources AS s ON r.package_id=s.id WHERE r.status="unreproducible" AND s.suite="sid" ORDER BY r.build_date DESC' | xargs echo)
-echo "${BAD}" | dd-list -i > $TMPFILE || true
+echo "${BAD}" | dd-list --stdin --sources $SOURCES > $TMPFILE || true
write_page "<p>The following maintainers and uploaders are listed for packages within Sid which have built unreproducibly:</p><p><pre>"
while IFS= read -r LINE ; do
if [ "${LINE:0:3}" = " " ] ; then
@@ -37,6 +40,7 @@ while IFS= read -r LINE ; do
done < $TMPFILE
write_page "</pre></p>"
rm $TMPFILE
+rm $SOURCES
write_page_footer
publish_page